:set number 
:set autoindent
:set tabstop=8 
:set shiftwidth=4 
:set softtabstop=4 
:set mouse=a 

call plug#begin() 
Plug 'http://github.com/tpope/vim-surround' " Surrounding ysw) 
Plug 'https://github.com/preservim/nerdtree' " NerdTree 
Plug 'https://github.com/tpope/vim-commentary' " For Commenting gcc & gc 
Plug 'https://github.com/vim-airline/vim-airline' " Status bar  
Plug 'https://github.com/ap/vim-css-color' " CSS Color Preview 
Plug 'https://github.com/rafi/awesome-vim-colorschemes' " Retro Scheme 
Plug 'https://github.com/ryanoasis/vim-devicons' " Developer Icons 
Plug 'https://github.com/tc50cal/vim-terminal' " Vim Terminal

set encoding=UTF-8 

call plug#end() 

nnoremap <C-f> :NERDTreeFocus<CR> 
nnoremap <C-n> :NERDTree<CR> 
nnoremap <C-t> :NERDTreeToggle<CR> 
nnoremap <C-l> :call CocActionAsync('jumpDefinition')<CR> 

nmap <F8> :TagbarToggle<CR> 

:set completeopt-=preview " For No Previews 

:colorscheme jellybeans 

let g:NERDTreeDirArrowExpandable="+" 
let g:NERDTreeDirArrowCollapsible="~"
